package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorDocumentDescription;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface DocumentDescriptionMapper {

    List<Map<String ,String>> selectDescriptionByTableName(@Param("projectId") Integer projectId, @Param("name") String name);

    List<Map<String ,String>> selectById(Integer projectId);

    int updateDescription(MonitorDocumentDescription monitorDocumentDescription);

    int exists(MonitorDocumentDescription monitorDocumentDescription);

    int addDescription(MonitorDocumentDescription monitorDocumentDescription);
}
